<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.4.2_17) on Thu Sep 24 15:03:18 BST 2009 -->
<TITLE>
Uses of Class org.jgraph.graph.ConnectionSet (JGraph v5.12.4.2 API Specification)
</TITLE>


<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="Uses of Class org.jgraph.graph.ConnectionSet (JGraph v5.12.4.2 API Specification)";
}
</SCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=3 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
<p><b>JGraph</b><br>v5.12.4.2</p></EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ConnectionSet.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>

</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
<B>Uses of Class<br>org.jgraph.graph.ConnectionSet</B></H2>
</CENTER>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
Packages that use <A HREF="../../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph">ConnectionSet</A></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.jgraph.event"><B>org.jgraph.event</B></A></TD>
<TD>Contains event classes and listener interfaces that are used to react to events fired by JGraph.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.jgraph.graph"><B>org.jgraph.graph</B></A></TD>
<TD>Graphs are made up of a number of classes and interfaces defined in their own
package - the <code>jgraph.graph</code> package.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.jgraph.plaf.basic"><B>org.jgraph.plaf.basic</B></A></TD>
<TD>Contains the BasicGraphUI, which is GraphUI's default implementation.&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.jgraph.event"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
Uses of <A HREF="../../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph">ConnectionSet</A> in <A HREF="../../../../org/jgraph/event/package-summary.html">org.jgraph.event</A></FONT></TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TD COLSPAN=2>Methods in <A HREF="../../../../org/jgraph/event/package-summary.html">org.jgraph.event</A> that return <A HREF="../../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph">ConnectionSet</A></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph">ConnectionSet</A></CODE></FONT></TD>
<TD><CODE><B>GraphModelEvent.GraphModelChange.</B><B><A HREF="../../../../org/jgraph/event/GraphModelEvent.GraphModelChange.html#getConnectionSet()">getConnectionSet</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a connection set representing the graph structure after the
 change was applied</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph">ConnectionSet</A></CODE></FONT></TD>
<TD><CODE><B>GraphModelEvent.GraphModelChange.</B><B><A HREF="../../../../org/jgraph/event/GraphModelEvent.GraphModelChange.html#getPreviousConnectionSet()">getPreviousConnectionSet</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a connection set representing the graph structure before the
 change was applied ( an "undo" of the change).</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.jgraph.graph"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
Uses of <A HREF="../../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph">ConnectionSet</A> in <A HREF="../../../../org/jgraph/graph/package-summary.html">org.jgraph.graph</A></FONT></TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TD COLSPAN=2>Fields in <A HREF="../../../../org/jgraph/graph/package-summary.html">org.jgraph.graph</A> declared as <A HREF="../../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph">ConnectionSet</A></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph">ConnectionSet</A></CODE></FONT></TD>
<TD><CODE><B>GraphTransferable.</B><B><A HREF="../../../../org/jgraph/graph/GraphTransferable.html#cs">cs</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Object that describes the connection between cells.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph">ConnectionSet</A></CODE></FONT></TD>
<TD><CODE><B>DefaultGraphModel.</B><B><A HREF="../../../../org/jgraph/graph/DefaultGraphModel.html#transEditCS">transEditCS</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Stores nested transaction connection sets</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph">ConnectionSet</A></CODE></FONT></TD>
<TD><CODE><B>DefaultGraphModel.GraphModelEdit.</B><B><A HREF="../../../../org/jgraph/graph/DefaultGraphModel.GraphModelEdit.html#connectionSet">connectionSet</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph">ConnectionSet</A></CODE></FONT></TD>
<TD><CODE><B>DefaultGraphModel.GraphModelEdit.</B><B><A HREF="../../../../org/jgraph/graph/DefaultGraphModel.GraphModelEdit.html#previousConnectionSet">previousConnectionSet</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TD COLSPAN=2>Methods in <A HREF="../../../../org/jgraph/graph/package-summary.html">org.jgraph.graph</A> that return <A HREF="../../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph">ConnectionSet</A></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph">ConnectionSet</A></CODE></FONT></TD>
<TD><CODE><B>GraphTransferable.</B><B><A HREF="../../../../org/jgraph/graph/GraphTransferable.html#getConnectionSet()">getConnectionSet</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the connections between <code>cells</code> (and possibly
 other, unselected cells).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph">ConnectionSet</A></CODE></FONT></TD>
<TD><CODE><B>DefaultGraphModel.</B><B><A HREF="../../../../org/jgraph/graph/DefaultGraphModel.html#getConnectionSet()">getConnectionSet</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;A shortcut method to create a connection set that represents the
 connections in this model.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph">ConnectionSet</A></CODE></FONT></TD>
<TD><CODE><B>DefaultGraphModel.</B><B><A HREF="../../../../org/jgraph/graph/DefaultGraphModel.html#handleConnectionSet(org.jgraph.graph.ConnectionSet)">handleConnectionSet</A></B>(<A HREF="../../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph">ConnectionSet</A>&nbsp;cs)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Applies <code>connectionSet</code> to the model.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph">ConnectionSet</A></CODE></FONT></TD>
<TD><CODE><B>DefaultGraphModel.GraphModelEdit.</B><B><A HREF="../../../../org/jgraph/graph/DefaultGraphModel.GraphModelEdit.html#getConnectionSet()">getConnectionSet</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the connectionSet.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph">ConnectionSet</A></CODE></FONT></TD>
<TD><CODE><B>DefaultGraphModel.GraphModelEdit.</B><B><A HREF="../../../../org/jgraph/graph/DefaultGraphModel.GraphModelEdit.html#getPreviousConnectionSet()">getPreviousConnectionSet</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph">ConnectionSet</A></CODE></FONT></TD>
<TD><CODE><B>DefaultGraphModel.GraphModelLayerEdit.</B><B><A HREF="../../../../org/jgraph/graph/DefaultGraphModel.GraphModelLayerEdit.html#getConnectionSet()">getConnectionSet</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph">ConnectionSet</A></CODE></FONT></TD>
<TD><CODE><B>DefaultGraphModel.GraphModelLayerEdit.</B><B><A HREF="../../../../org/jgraph/graph/DefaultGraphModel.GraphModelLayerEdit.html#getPreviousConnectionSet()">getPreviousConnectionSet</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph">ConnectionSet</A></CODE></FONT></TD>
<TD><CODE><B>EdgeView.EdgeHandle.</B><B><A HREF="../../../../org/jgraph/graph/EdgeView.EdgeHandle.html#createConnectionSet(org.jgraph.graph.EdgeView, boolean)">createConnectionSet</A></B>(<A HREF="../../../../org/jgraph/graph/EdgeView.html" title="class in org.jgraph.graph">EdgeView</A>&nbsp;view,
                    boolean&nbsp;verbose)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph">ConnectionSet</A></CODE></FONT></TD>
<TD><CODE><B>GraphContext.</B><B><A HREF="../../../../org/jgraph/graph/GraphContext.html#disconnect(org.jgraph.graph.CellView[])">disconnect</A></B>(<A HREF="../../../../org/jgraph/graph/CellView.html" title="interface in org.jgraph.graph">CellView</A>[]&nbsp;cells)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Disconnects the edges in <code>cells</code> from the sources and
 targets that are not in this context and returns a ConnectionSet that
 defines the disconnection.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph">ConnectionSet</A></CODE></FONT></TD>
<TD><CODE><B>ConnectionSet.</B><B><A HREF="../../../../org/jgraph/graph/ConnectionSet.html#create(org.jgraph.graph.GraphModel, java.lang.Object[], boolean)">create</A></B>(<A HREF="../../../../org/jgraph/graph/GraphModel.html" title="interface in org.jgraph.graph">GraphModel</A>&nbsp;m,
       <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[]&nbsp;cells,
       boolean&nbsp;disconnect)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a connection set that represents the connection or disconnection
 of <code>cells</code> in <code>model</code> based on
 <code>disconnect</code>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph">ConnectionSet</A></CODE></FONT></TD>
<TD><CODE><B>ConnectionSet.</B><B><A HREF="../../../../org/jgraph/graph/ConnectionSet.html#clone(java.util.Map)">clone</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&nbsp;map)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a new connection set based on this connection set, where the
 edges, and ports are mapped using <code>map</code>.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TD COLSPAN=2>Methods in <A HREF="../../../../org/jgraph/graph/package-summary.html">org.jgraph.graph</A> with parameters of type <A HREF="../../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph">ConnectionSet</A></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../org/jgraph/graph/GraphTransferable.html" title="class in org.jgraph.graph">GraphTransferable</A></CODE></FONT></TD>
<TD><CODE><B>GraphTransferHandler.</B><B><A HREF="../../../../org/jgraph/graph/GraphTransferHandler.html#create(org.jgraph.JGraph, java.lang.Object[], java.util.Map, java.awt.geom.Rectangle2D, org.jgraph.graph.ConnectionSet, org.jgraph.graph.ParentMap)">create</A></B>(<A HREF="../../../../org/jgraph/JGraph.html" title="class in org.jgraph">JGraph</A>&nbsp;graph,
       <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[]&nbsp;cells,
       <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&nbsp;viewAttributes,
       <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/geom/Rectangle2D.html" title="class or interface in java.awt.geom">Rectangle2D</A>&nbsp;bounds,
       <A HREF="../../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph">ConnectionSet</A>&nbsp;cs,
       <A HREF="../../../../org/jgraph/graph/ParentMap.html" title="class in org.jgraph.graph">ParentMap</A>&nbsp;pm)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B>GraphTransferHandler.</B><B><A HREF="../../../../org/jgraph/graph/GraphTransferHandler.html#handleExternalDrop(org.jgraph.JGraph, java.lang.Object[], java.util.Map, org.jgraph.graph.ConnectionSet, org.jgraph.graph.ParentMap, double, double)">handleExternalDrop</A></B>(<A HREF="../../../../org/jgraph/JGraph.html" title="class in org.jgraph">JGraph</A>&nbsp;graph,
                   <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[]&nbsp;cells,
                   <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&nbsp;nested,
                   <A HREF="../../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph">ConnectionSet</A>&nbsp;cs,
                   <A HREF="../../../../org/jgraph/graph/ParentMap.html" title="class in org.jgraph.graph">ParentMap</A>&nbsp;pm,
                   double&nbsp;dx,
                   double&nbsp;dy)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>DefaultGraphModel.</B><B><A HREF="../../../../org/jgraph/graph/DefaultGraphModel.html#insert(java.lang.Object[], java.util.Map, org.jgraph.graph.ConnectionSet, org.jgraph.graph.ParentMap, javax.swing.undo.UndoableEdit[])">insert</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[]&nbsp;roots,
       <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&nbsp;attributes,
       <A HREF="../../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph">ConnectionSet</A>&nbsp;cs,
       <A HREF="../../../../org/jgraph/graph/ParentMap.html" title="class in org.jgraph.graph">ParentMap</A>&nbsp;pm,
       <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/undo/UndoableEdit.html" title="class or interface in javax.swing.undo">UndoableEdit</A>[]&nbsp;edits)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Inserts the <code>roots</code> and connections into the model.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>DefaultGraphModel.</B><B><A HREF="../../../../org/jgraph/graph/DefaultGraphModel.html#edit(java.util.Map, org.jgraph.graph.ConnectionSet, org.jgraph.graph.ParentMap, javax.swing.undo.UndoableEdit[])">edit</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&nbsp;attributes,
     <A HREF="../../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph">ConnectionSet</A>&nbsp;cs,
     <A HREF="../../../../org/jgraph/graph/ParentMap.html" title="class in org.jgraph.graph">ParentMap</A>&nbsp;pm,
     <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/undo/UndoableEdit.html" title="class or interface in javax.swing.undo">UndoableEdit</A>[]&nbsp;edits)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Shortcut to the new edit method which allows inserts and removes to go
 along with an edit.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>DefaultGraphModel.</B><B><A HREF="../../../../org/jgraph/graph/DefaultGraphModel.html#edit(java.lang.Object[], java.lang.Object[], java.util.Map, org.jgraph.graph.ConnectionSet, org.jgraph.graph.ParentMap, javax.swing.undo.UndoableEdit[])">edit</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[]&nbsp;inserted,
     <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[]&nbsp;removed,
     <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&nbsp;attributes,
     <A HREF="../../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph">ConnectionSet</A>&nbsp;cs,
     <A HREF="../../../../org/jgraph/graph/ParentMap.html" title="class in org.jgraph.graph">ParentMap</A>&nbsp;pm,
     <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/undo/UndoableEdit.html" title="class or interface in javax.swing.undo">UndoableEdit</A>[]&nbsp;edits)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Applies <code>attributes</code> and the connection changes to the
 model.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B>DefaultGraphModel.</B><B><A HREF="../../../../org/jgraph/graph/DefaultGraphModel.html#updateTransaction(java.lang.Object[], java.lang.Object[], java.util.Map, org.jgraph.graph.ConnectionSet, org.jgraph.graph.ParentMap)">updateTransaction</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[]&nbsp;inserted,
                  <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[]&nbsp;removed,
                  <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&nbsp;attributes,
                  <A HREF="../../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph">ConnectionSet</A>&nbsp;cs,
                  <A HREF="../../../../org/jgraph/graph/ParentMap.html" title="class in org.jgraph.graph">ParentMap</A>&nbsp;pm)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Updates the current state of the various transaction data</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../org/jgraph/graph/DefaultGraphModel.GraphModelEdit.html" title="class in org.jgraph.graph">DefaultGraphModel.GraphModelEdit</A></CODE></FONT></TD>
<TD><CODE><B>DefaultGraphModel.</B><B><A HREF="../../../../org/jgraph/graph/DefaultGraphModel.html#createEdit(java.lang.Object[], java.lang.Object[], java.util.Map, org.jgraph.graph.ConnectionSet, org.jgraph.graph.ParentMap, javax.swing.undo.UndoableEdit[])">createEdit</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[]&nbsp;inserted,
           <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[]&nbsp;removed,
           <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&nbsp;attributes,
           <A HREF="../../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph">ConnectionSet</A>&nbsp;cs,
           <A HREF="../../../../org/jgraph/graph/ParentMap.html" title="class in org.jgraph.graph">ParentMap</A>&nbsp;pm,
           <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/undo/UndoableEdit.html" title="class or interface in javax.swing.undo">UndoableEdit</A>[]&nbsp;edits)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph">ConnectionSet</A></CODE></FONT></TD>
<TD><CODE><B>DefaultGraphModel.</B><B><A HREF="../../../../org/jgraph/graph/DefaultGraphModel.html#handleConnectionSet(org.jgraph.graph.ConnectionSet)">handleConnectionSet</A></B>(<A HREF="../../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph">ConnectionSet</A>&nbsp;cs)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Applies <code>connectionSet</code> to the model.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>GraphLayoutCache.</B><B><A HREF="../../../../org/jgraph/graph/GraphLayoutCache.html#setVisible(java.lang.Object[], java.lang.Object[], org.jgraph.graph.ConnectionSet)">setVisible</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[]&nbsp;visible,
           <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[]&nbsp;invisible,
           <A HREF="../../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph">ConnectionSet</A>&nbsp;cs)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Changes the visibility state of the cells passed in.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>GraphLayoutCache.</B><B><A HREF="../../../../org/jgraph/graph/GraphLayoutCache.html#setVisible(java.lang.Object[], java.lang.Object[], java.util.Map, org.jgraph.graph.ConnectionSet)">setVisible</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[]&nbsp;visible,
           <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[]&nbsp;invisible,
           <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&nbsp;attributes,
           <A HREF="../../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph">ConnectionSet</A>&nbsp;cs)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Changes the visibility state of the cells passed in.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>GraphLayoutCache.</B><B><A HREF="../../../../org/jgraph/graph/GraphLayoutCache.html#insert(java.lang.Object[], java.util.Map, org.jgraph.graph.ConnectionSet, org.jgraph.graph.ParentMap, javax.swing.undo.UndoableEdit[])">insert</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[]&nbsp;roots,
       <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&nbsp;attributes,
       <A HREF="../../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph">ConnectionSet</A>&nbsp;cs,
       <A HREF="../../../../org/jgraph/graph/ParentMap.html" title="class in org.jgraph.graph">ParentMap</A>&nbsp;pm,
       <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/undo/UndoableEdit.html" title="class or interface in javax.swing.undo">UndoableEdit</A>[]&nbsp;e)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Inserts the <code>cells</code> and connections into the model, and
 absorbs the local attributes.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[]</CODE></FONT></TD>
<TD><CODE><B>GraphLayoutCache.</B><B><A HREF="../../../../org/jgraph/graph/GraphLayoutCache.html#insertClones(java.lang.Object[], java.util.Map, java.util.Map, org.jgraph.graph.ConnectionSet, org.jgraph.graph.ParentMap, double, double)">insertClones</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[]&nbsp;cells,
             <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&nbsp;clones,
             <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&nbsp;nested,
             <A HREF="../../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph">ConnectionSet</A>&nbsp;cs,
             <A HREF="../../../../org/jgraph/graph/ParentMap.html" title="class in org.jgraph.graph">ParentMap</A>&nbsp;pm,
             double&nbsp;dx,
             double&nbsp;dy)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Inserts the cloned cells from the clone map and clones the passed-in
 arguments according to the clone map before insertion and returns the
 clones in order of the cells.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>GraphLayoutCache.</B><B><A HREF="../../../../org/jgraph/graph/GraphLayoutCache.html#insert(java.lang.Object[], java.util.Map, org.jgraph.graph.ConnectionSet, org.jgraph.graph.ParentMap)">insert</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[]&nbsp;cells,
       <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&nbsp;nested,
       <A HREF="../../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph">ConnectionSet</A>&nbsp;cs,
       <A HREF="../../../../org/jgraph/graph/ParentMap.html" title="class in org.jgraph.graph">ParentMap</A>&nbsp;pm)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Variant of the insert method that allows to pass a default connection set
 and parent map and nested map.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>GraphLayoutCache.</B><B><A HREF="../../../../org/jgraph/graph/GraphLayoutCache.html#edit(java.util.Map, org.jgraph.graph.ConnectionSet, org.jgraph.graph.ParentMap, javax.swing.undo.UndoableEdit[])">edit</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&nbsp;attributes,
     <A HREF="../../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph">ConnectionSet</A>&nbsp;cs,
     <A HREF="../../../../org/jgraph/graph/ParentMap.html" title="class in org.jgraph.graph">ParentMap</A>&nbsp;pm,
     <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/undo/UndoableEdit.html" title="class or interface in javax.swing.undo">UndoableEdit</A>[]&nbsp;e)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Applies the <code>propertyMap</code> and the connection changes to the
 model.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected static&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>ConnectionSet.</B><B><A HREF="../../../../org/jgraph/graph/ConnectionSet.html#connect(org.jgraph.graph.ConnectionSet, java.lang.Object, java.lang.Object, boolean, boolean)">connect</A></B>(<A HREF="../../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph">ConnectionSet</A>&nbsp;cs,
        <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;edge,
        <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;port,
        boolean&nbsp;source,
        boolean&nbsp;disconnect)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Connect or disconnect <code>edge</code> from <code>source</code> and
 <code>target</code> in <code>cs</code> based on
 <code>disconnect</code>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>GraphModel.</B><B><A HREF="../../../../org/jgraph/graph/GraphModel.html#insert(java.lang.Object[], java.util.Map, org.jgraph.graph.ConnectionSet, org.jgraph.graph.ParentMap, javax.swing.undo.UndoableEdit[])">insert</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[]&nbsp;roots,
       <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&nbsp;attributes,
       <A HREF="../../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph">ConnectionSet</A>&nbsp;cs,
       <A HREF="../../../../org/jgraph/graph/ParentMap.html" title="class in org.jgraph.graph">ParentMap</A>&nbsp;pm,
       <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/undo/UndoableEdit.html" title="class or interface in javax.swing.undo">UndoableEdit</A>[]&nbsp;e)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Inserts the <code>cells</code> and connections into the model, and
 passes <code>attributes</code> to the views.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>GraphModel.</B><B><A HREF="../../../../org/jgraph/graph/GraphModel.html#edit(java.util.Map, org.jgraph.graph.ConnectionSet, org.jgraph.graph.ParentMap, javax.swing.undo.UndoableEdit[])">edit</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&nbsp;attributes,
     <A HREF="../../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph">ConnectionSet</A>&nbsp;cs,
     <A HREF="../../../../org/jgraph/graph/ParentMap.html" title="class in org.jgraph.graph">ParentMap</A>&nbsp;pm,
     <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/undo/UndoableEdit.html" title="class or interface in javax.swing.undo">UndoableEdit</A>[]&nbsp;e)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Applies the <code>propertyMap</code> and the connection changes to the
 model.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TD COLSPAN=2>Constructors in <A HREF="../../../../org/jgraph/graph/package-summary.html">org.jgraph.graph</A> with parameters of type <A HREF="../../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph">ConnectionSet</A></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../org/jgraph/graph/GraphTransferable.html#GraphTransferable(java.lang.Object[], java.util.Map, java.awt.geom.Rectangle2D, org.jgraph.graph.ConnectionSet, org.jgraph.graph.ParentMap)">GraphTransferable</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[]&nbsp;cells,
                  <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&nbsp;attrMap,
                  <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/geom/Rectangle2D.html" title="class or interface in java.awt.geom">Rectangle2D</A>&nbsp;bounds,
                  <A HREF="../../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph">ConnectionSet</A>&nbsp;cs,
                  <A HREF="../../../../org/jgraph/graph/ParentMap.html" title="class in org.jgraph.graph">ParentMap</A>&nbsp;pm)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructs a new transferable selection for <code>cells</code>,
 <code>cs</code>and <code>attrMap</code>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../org/jgraph/graph/DefaultGraphModel.html#DefaultGraphModel(java.util.List, org.jgraph.graph.AttributeMap, org.jgraph.graph.ConnectionSet)">DefaultGraphModel</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&nbsp;roots,
                  <A HREF="../../../../org/jgraph/graph/AttributeMap.html" title="class in org.jgraph.graph">AttributeMap</A>&nbsp;attributes,
                  <A HREF="../../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph">ConnectionSet</A>&nbsp;cs)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructs a model using the specified information to construct the
 cells, attributes and connection data.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../org/jgraph/graph/DefaultGraphModel.GraphModelEdit.html#DefaultGraphModel.GraphModelEdit(java.lang.Object[], java.lang.Object[], java.util.Map, org.jgraph.graph.ConnectionSet, org.jgraph.graph.ParentMap)">DefaultGraphModel.GraphModelEdit</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[]&nbsp;inserted,
                                 <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[]&nbsp;removed,
                                 <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&nbsp;attributes,
                                 <A HREF="../../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph">ConnectionSet</A>&nbsp;connectionSet,
                                 <A HREF="../../../../org/jgraph/graph/ParentMap.html" title="class in org.jgraph.graph">ParentMap</A>&nbsp;parentMap)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructs an edit record.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.jgraph.plaf.basic"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
Uses of <A HREF="../../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph">ConnectionSet</A> in <A HREF="../../../../org/jgraph/plaf/basic/package-summary.html">org.jgraph.plaf.basic</A></FONT></TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TD COLSPAN=2>Fields in <A HREF="../../../../org/jgraph/plaf/basic/package-summary.html">org.jgraph.plaf.basic</A> declared as <A HREF="../../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph">ConnectionSet</A></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph">ConnectionSet</A></CODE></FONT></TD>
<TD><CODE><B>BasicGraphUI.RootHandle.</B><B><A HREF="../../../../org/jgraph/plaf/basic/BasicGraphUI.RootHandle.html#disconnect">disconnect</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=3 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
<p><b>JGraph</b><br>v5.12.4.2</p></EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ConnectionSet.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>

</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
<font size=1>Copyright (C) 2001-2008 <a href="http://www.jgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font>
</BODY>
</HTML>
